#ifndef MESSAGEDIALOG_H
#define MESSAGEDIALOG_H

#include <QDialog>

QT_BEGIN_NAMESPACE
namespace Ui {
class messageDialog;
}
QT_END_NAMESPACE

enum MessageDialogType
{
    type_information = 0,
    type_question,
    type_warning
};

enum MessageDialogBtn
{
    btn_Null = 0,
    btn_Yes,
    btn_No
};
extern MessageDialogBtn g_msgDlgBtn;

class MessageDialog : public QDialog
{
    Q_OBJECT

public:
    MessageDialog(QWidget *parent = nullptr);
    ~MessageDialog();

    void setType(MessageDialogType);
    void setMessage(MessageDialogType,const QString&,const QString&);

signals:
    void sgl_hide();

public slots:
    void onBtnClicked_confirm();
    void onBtnClicked_yes();
    void onBtnClicked_no();

private:
    Ui::messageDialog*  ui;
};

#endif
